## org.apache.commons.collections.functors
Class OrPredicate

    java.lang.Object
      org.apache.commons.collections.functors.OrPredicate

All Implemented Interfaces:
  Predicate, PredicateDecorator, Serializable

public final class OrPredicate
extends Object
implements Predicate, PredicateDecorator, Serializable

Predicate implementation that returns true if either of the predicates return true.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/31 16:43:17 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`OrPredicate(Predicate predicate1, Predicate predicate2)` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(Object object)` Evaluates the predicate returning true if either predicate returns true.
`static Predicate` `getInstance(Predicate predicate1, Predicate predicate2)` Factory to create the predicate.
`Predicate[]` `getPredicates()` Gets the two predicates being decorated as an array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrPredicate

    public OrPredicate(Predicate predicate1,
                       Predicate predicate2)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `predicate1` - the first predicate to check, not null
  `predicate2` - the second predicate to check, not null

Method Detail

### getInstance

    public static Predicate getInstance(Predicate predicate1,
                                        Predicate predicate2)

  Factory to create the predicate.

  Parameters:
    `predicate1` - the first predicate to check, not null
    `predicate2` - the second predicate to check, not null
  Returns:
    the `and` predicate
  Throws:
    `IllegalArgumentException` - if either predicate is null

### evaluate

    public boolean evaluate(Object object)

  Evaluates the predicate returning true if either predicate returns true.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if either decorated predicate returns true

### getPredicates

    public Predicate[] getPredicates()

  Gets the two predicates being decorated as an array.

  Specified by:
    `getPredicates` in interface `PredicateDecorator`
  Returns:
    the predicates
  Since:
    Commons Collections 3.1

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.